.modal {
  :global {
    .ant-modal-body {
      max-height: none !important;
      padding: 0 !important;
    }
    .ant-modal-header {
      padding-right: 40px;
    }
  }
}
.body {
  max-height: calc(100vh - 200px - 60px - 80px);
  padding: 24px;
  overflow: auto;
}
.bodyNoFooter {
  max-height: calc(100vh - 200px - 60px) !important;
}

.btn {
  width: 160px;
}

@media screen and (max-width: 768px) {
  .btn {
    width: 100%;
  }
  .body {
    max-height: calc(100vh - 100px - 60px - 80px);
    padding: 16px;
  }

  // not has footer
  .wrapNoFooter {
    :global {
      .ant-modal-body {
        padding-bottom: 24px !important;
      }
    }

    :global(.ant-modal-body) .bodyNoFooter {
      max-height: calc(100vh - 100px - 60px - 24px) !important;
    }
  }
}
